AEntry(3)

NAME
AEntry - The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on.

SYNOPSIS

#include <aentry.h>

Inherited by AAircraftEntry, ACurrencyEntry, AFlightEntry, APilotEntry, and ATailEntry.

  Public Member Functions
AEntry (const AEntry &)=default
AEntry & operator= (const AEntry &)=default
AEntry (DataPosition position_)
AEntry (OPL::RowData_T table_data)
AEntry (DataPosition position_, OPL::RowData_T table_data)
void setData (OPL::RowData_T table_data)
void setPosition (DataPosition position_)
const DataPosition & getPosition () const
const OPL::RowData_T & getData () const
operator QString () const
operator QString provides compatibilty with QDebug() - prints the tableData in a readable formatting to stdout

  Public Attributes
OPL::RowData_T tableData

  Protected Attributes
DataPosition position

Detailed Description

The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on.

Author

Generated automatically by Doxygen for openPilotLog from the source code.